<template>
  <header id='header'>
    <CompanyLogo alt="Vue Logo" />

    <Menu menuKey="primary" />
  </header>
</template>

<script lang="ts">
import Vue from 'vue'
import Menu from '@rentsync/client-website-components/dist/components/molecules/menu/default/menu-default.vue'

import CompanyLogo from './components/company-logo.vue'

export default Vue.extend({
  props: {},
  components: {
    Menu,
    CompanyLogo,
  },
})
</script>

<style lang="scss">
#header {
  background-color: #e2e2e2;
  $green: #42b983;

  .top-nav {
    display: flex;
    position: absolute;
    top: 0;
    right: 0;

    & > div {
      margin: 10px;
    }
  }

  nav {
    display: flex;
    justify-content: flex-end;
    background-color: transparent;

    &::before {
      border-bottom: 45px solid #333333;
      border-left: 25px solid transparent;
      float: left;
      content: ' ';
    }

    ul {
      background-color: #333333;
      display: flex;
      align-items: center;
      list-style: none;
      margin: 0;
      padding: 0;

      li {

        ul {
          display: none;
        }

        a {
          padding: 15px 10px;
          color: #ffffff;
          transition: 1s;
          display: block;

          &:hover {
            color: $green;
          }

          &.router-link-exact-active {
            color: $green;
          }

          &::after {
            margin-left: 10px;
            color: #ffffff;
          }
        }

        &:last-child {

          a {
            display: flex;
            align-items: center;

            &::after {
              content: '';
            }
          }
        }
      }
    }
  }

  a {
    text-decoration: none;
  }
}
</style>
